• 0

    posted a message on Grid
    SVN Revision 225:
    [2009/09/02 18:08:19-4468-x1]: AceConfigDialog-3.0-36:1797: Grid2 isn't registed with AceConfigRegistry, unable to open config
    AceConfigDialog-3.0-36:1730: in function `Open'
    AceConfigDialog-3.0-36:1797: in function <...nfig-3.0\AceConfigDialog-3.0\AceConfigDialog-3.0.lua:1795>
    (tail call): ?:
    <in C code>: ?
    <string>:"safecall Dispatcher[2]":9: in function <[string "safecall Dispatcher[2]"]:5>
    (tail call): ?:
    AceGUI-3.0-25 (Ace3):305: in function `Fire'
    ...AceGUI-3.0\widgets\AceGUIWidget-BlizOptionsGroup.lua:67: in function <...AceGUI-3.0\widgets\AceGUIWidget-BlizOptionsGroup.lua:66>:
    (tail call): ?:
    <in C code>: in function `Show'
    Interface\FrameXML\InterfaceOptionsFrame.lua:28: in function `InterfaceOptionsList_DisplayPanel':
    Interface\FrameXML\InterfaceOptionsFrame.lua:46: in function `InterfaceOptionsListButton_OnClick':
    <string>:"*:OnClick":2: in function <[string "*:OnClick"]:1>
    Posted in: Grid & Grid2
  • 0

    posted a message on Skada: a damage meter
    Quote from Zarnivoop
    Fixed.


    Quote from Phanx
    Umm... did you even try it?

    (...)

    For the record, I am using Skada with standalone libraries with LibFail-1.0 added to OptionalDependencies in SkadaFailbot.toc without any problems whatsoever.


    Yes i did...and as i first said (see the Error Path!) i use the SVN Version not the Download Version. There is a difference between SVN and Download Version. In the Download Version you have all Modules like SkadaFailbot or SkadaHealing as seperate Addons in your Addons Folder. In the SVN Version you have all Modules inside the Skada Folder. \AddOns\Skada\modules\Skadaxxxxxx. I still get the error i posted before...
    Posted in: General AddOns
  • 0

    posted a message on Skada: a damage meter
    Quote from Phanx
    Your error indicates (pretty obviously) that you're missing LibFail-1.0. It is required by the Fails module; if you don't care about this module, disable it at the addons screen and the rest of Skada will work fine without it. If you do want to use this module, make sure LibFail-1.0 is installed and enabled, and that it's listed as an optional dependency in Skada_Fails.toc.


    A Skada SVN Version without Externals or the wowace NoLibs Version has no entry about optional deps and even when i add ## OptionalDeps: LibFail-1.0 to the SkadaFailbot.toc then LibFail-1.0 is not used since its a Load on Demand Addon and there is no Demand from Skada to Load the Standalone LibFail-1.0 Addon.
    Posted in: General AddOns
  • 0

    posted a message on Skada: a damage meter
    Quote from Torhal
    Do you have Ace3 or LibStub installed as Standalone? AceLibrary is Ace2's version of LibStub.


    Yes both.
    Posted in: General AddOns
  • 0

    posted a message on Skada: a damage meter
    Hi, i have the SVN Version without Externals (same as http://www.wowace.com/projects/skada/files/349-r179-nolib/ ) and getting this error:

    [2009/04/19 12:43:59-3852-x1]: Skada-1.0\modules\SkadaFailbot\Failbot.lua:8: Cannot find a library instance of "LibFail-1.0".
    Ace2\AceLibrary\AceLibrary.lua:49: in function `LibStub'
    Skada-1.0\modules\SkadaFailbot\Failbot.lua:8: in main chunk
    but i have this LibFail-1.0 as Standalone Addon installed...
    Posted in: General AddOns
  • 0

    posted a message on Click2Cast
    Quote from andreasg »

    That's fixed now :)


    Mhh yes and no. It sems that somtimes the Rank is still not saved. What i could test this happens when you not press Enter Key or the OK Button between entering the Spell and Rank.

    PS: I Added deDE Translation on SVN. Ohh and by the way you should add a ReadME File in C2C because there are MANY Players around that don't know that there is a Menu for Addons in the Interface Options. For this Players (and all that use the Winace Updater) C2C has since your Update to Ace3 just stopped to work since it's gone from FuBar/Minimap.
    Posted in: General AddOns
  • 0

    posted a message on Cartographer_Fishing Error Message
    In Cartographer the Tourist-2.0 has been replaced by LibTourist-3.0 and now u get at Start:

    [2008/06/30 15:02:27-2430-x1]: Cartographer_Fishing-1.0\addon.lua:3: Cannot find a library instance of Tourist-2.0.
    Aloft-r69497\Libs\AceLibrary\AceLibrary.lua:490: in function `AceLibrary'
    Cartographer_Fishing-1.0\addon.lua:3: in main chunk
    Posted in: AddOn HELP!
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    I used a Master Healthstone in the middle of a ZulJin Fight.
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    [2008/06/25 23:45:08-2426-x1]: GameTooltip:SetHyperlink(): Unknown link type:
    <in C code>: ?
    <in C code>: in function `SetHyperlink'
    AutoBar-2.04.02.55 beta.77400\AutoBarButton.lua:658: in function `SetTooltip'
    AutoBar-2.04.02.55 beta.77400\AutoBarButton.lua:595: in function <Interface\AddOns\AutoBar\AutoBarButton.lua:594>
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    Quote from Toadkiller »

    [...]
    1) deDE translation is incomplete. I need translations for these and many more:
    "Move the Bars"
    "Drag a bar to move it, left click to hide (red) or show (green) the bar, right click to configure the bar."
    "Move the Buttons"
    "Drag a Button to move it, right click to configure the Button."
    "Assign Bindings for Buttons on your Bars."
    "Skin the Buttons"
    "ButtonFacade is required to Skin the Buttons" = "ButtonFacade is required to Skin the Buttons"
    "Waterfall-1.0 is required to access the GUI" = "Waterfall-1.0 wird vorrausgesetzt um das GUI ?ffnen zu k?nnen"
    [...]


    Commit by gamefaq :: r77359 AutoBar/Locale-deDE.lua:
    AutoBar : Redone deDE Local (around 80% is new) and changed Format to UTF-8


    I think this should do it :)

    Ohh and by the Way you get a error currently when you Hit the "Skin the Buttons" Option. A Infotext with the Text "You need the Addon ButtonFacade to use this Option! Please download it at " target="" data-ensure-absolute>http://files.wowace.com" would be better ;)
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    Since last (r76438) svn change i get this error on Login and in my AutoBar(s) many Icons are missing:

    [2008/06/11 02:54:44-2346-x1]: AutoBar-2.04.02.55 beta.76438\AutoBarClassButton.lua:624: GetSpellCount(): Invalid spell slot
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    Hi, i have currently a Problem with the Quest Button. Some Revesions before the Quest Button was working with all Questitems. I use deDE Client and for me it looks like it's maybe a Translatioon Problem too.

    I have desiabled the Questitem in the Basic bar (since this Bar has currently way to mutch Buttons) and created a new one in the Extras Bar BUT i must use the Category "Replenished Items" to use many Questitems but not all. Items like the Bombs to destory thee Eggs from Skettis are not showing up and i have to create another Questbutton which uses the "German" Category "Questgegenst?nde" but with that the Questitems like the Cookingpot for the cooking Daily Quest are not showing up. Currently u need to create 2 Questbuttons with deDE Client. One named Quest that uses the "Replenished Items" Category and one nanmed Quest2 that uses the "german" Questgegenst?nde" Category.

    When i created with last svn revision the second Quest Button i got this error when i renamed it to "Quest2". after doing a reload ui the Button was right named and is working...

    [2008/05/31 19:22:32-2308-x1]: AutoBar-2.04.02.54 beta.75501\AutoBarClassButton.lua:796: attempt to get length of local 'sortedItems' (a nil value)
    AutoBar-2.04.02.54 beta.75501\AutoBarClassBar.lua:288: in function `UpdateActive'
    AutoBar-2.04.02.54 beta.75501\Core.lua:1110: in function `UpdateActive'
    AutoBar-2.04.02.54 beta.75501\Core.lua:1089: in function `UpdateAttributes'
    AutoBar-2.04.02.54 beta.75501\Core.lua:1042: in function `UpdateRescan'
    AutoBar-2.04.02.54 beta.75501\Core.lua:1018: in function `UpdateObjects'
    AutoBar-2.04.02.54 beta.75501\Core.lua:957: in function `UpdateSpells'
    AutoBar-2.04.02.54 beta.75501\Core.lua:931: in function `UpdateCustomButtons'
    AutoBar-2.04.02.54 beta.75501\Core.lua:909: in function `UpdateCustomBars'
    AutoBar-2.04.02.54 beta.75501\Core.lua:881: in function `UpdateCategories'
    AutoBar-2.04.02.54 beta.75501\AutoBarOptions.lua:116: in function `BarButtonChanged'
    AutoBar-2.04.02.54 beta.75501\AutoBarOptions.lua:791: in function `setFunc'
    Waterfall-1.0-71942 (AutoBar):3330: in function <...\AddOns\AutoBar\libs\Waterfall-1.0\Waterfall-1.0.lua:3303>
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    last svn:

    [2008/05/24 18:06:34-2255-x3]: AutoBar-2.04.02.53 beta.75021\Core.lua:1260: attempt to index local 'self' (a nil value)
    CallbackHandler-1.0\CallbackHandler-1.0.lua:146: in function <...iCC\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:146>
    <string>:"safecall Dispatcher[3]":4: in function <[string "safecall Dispatcher[3]"]:4>
    <in C code>: ?
    <string>:"safecall Dispatcher[3]":13: in function `?'
    CallbackHandler-1.0\CallbackHandler-1.0.lua:91: in function `Fire'
    LibStickyFrames-2.0\LibStickyFrames-2.0.lua:563: in function <...Bar\libs\LibStickyFrames-2.0\LibStickyFrames-2.0.lua:552>


    [2008/05/24 18:16:57-2256-x1]: AutoBar-2.04.02.53 beta.75021\AutoBarClassButton.lua:740: attempt to get length of local 'sortedItems' (a nil value)
    AutoBar-2.04.02.53 beta.75021\AutoBarClassBar.lua:286: in function `UpdateActive'
    AutoBar-2.04.02.53 beta.75021\Core.lua:1103: in function `UpdateActive'
    AutoBar-2.04.02.53 beta.75021\Core.lua:1082: in function `UpdateAttributes'
    AutoBar-2.04.02.53 beta.75021\Core.lua:1035: in function `UpdateRescan'
    AutoBar-2.04.02.53 beta.75021\Core.lua:1011: in function `UpdateObjects'
    AutoBar-2.04.02.53 beta.75021\Core.lua:950: in function `UpdateSpells'
    AutoBar-2.04.02.53 beta.75021\Core.lua:924: in function `UpdateCustomButtons'
    AutoBar-2.04.02.53 beta.75021\Core.lua:902: in function `UpdateCustomBars'
    AutoBar-2.04.02.53 beta.75021\Core.lua:874: in function `UpdateCategories'
    AutoBar-2.04.02.53 beta.75021\AutoBarOptions.lua:116: in function `BarButtonChanged'
    AutoBar-2.04.02.53 beta.75021\AutoBarOptions.lua:791: in function `setFunc'
    Waterfall-1.0-71942 (AutoBar):3330: in function <...\AddOns\AutoBar\libs\Waterfall-1.0\Waterfall-1.0.lua:3303>
    Posted in: General AddOns
  • 0

    posted a message on AutoBar by Toadkiller (official thread)
    Quote from Toadkiller »

    Aha right, I checked in dummy translations for LibKeyBound-1.0 for deDE, esES and esMX.
    r74841


    After some trying around i found out why i get this error. You forgot to adds the Locale-deDE.lua file to the lib.xml file. I fixed that and translated the Locale-deDE.lua dummy file into deDE.

    But now after deleting AutoBar and his WTF/Saved Variables and installing it new from SVN there are still some errors and Bugs.

    Rightclick on Autobar Icon/Text in Fubarpanel is broken:

    [2008/05/23 14:14:14-2246-x1]: FuBarPlugin-2.0-63898:1095: Dewdrop-2.0: args.fubar: "desc" must be a string
    AtlasLoot-4.05.0\Libs\AceLibrary\AceLibrary.lua:122: in function `error'
    Dewdrop-2.0-56529 (AtlasLoot):2906: in function `Register'
    FuBarPlugin-2.0-63898:1095: in function `OpenMenu'
    FuBarPlugin-2.0-63898:963: in function <...s\AtlasLoot\Libs\FuBarPlugin-2.0\FuBarPlugin-2.0.lua:961>
    FuBar-3.0.52967\FuBar.lua:1212: in function <Interface\AddOns\FuBar\FuBar.lua:1206>
    Tablet-2.0-64130 (AtlasLoot):2542: in function <...face\AddOns\AtlasLoot\Libs\Tablet-2.0\Tablet-2.0.lua:2540>


    When you activate the Bindings using Alt+Click and then just scroll over the 3 Bars form Autobar u get this errors and probably more dependent on the Button you hover over:

    [2008/05/23 14:05:44-2246-x2]: LibKeyBound-1.0\LibKeyBound-1.0.lua:202: attempt to call method 'GetHotkey' (a nil value)
    AutoBar-2.04.02.53 beta.74872\AutoBarButton.lua:590: in function `SetTooltip'
    AutoBar-2.04.02.53 beta.74872\AutoBarButton.lua:581: in function <Interface\AddOns\AutoBar\AutoBarButton.lua:580>


    [2008/05/23 14:05:44-2246-x6]: LibKeyBound-1.0\LibKeyBound-1.0.lua:202: attempt to call method 'GetHotkey' (a nil value)
    AutoBar-2.04.02.53 beta.74872\AutoBarButton.lua:590: in function `SetTooltip'
    AutoBar-2.04.02.53 beta.74872\AutoBarButton.lua:585: in function <Interface\AddOns\AutoBar\AutoBarButton.lua:584>


    When u Login Firsttime WoW with currently Autobar the Buttons are very wired arranged (over the complete 32 buttons Width) in the Basic Bar. In the BASIC Bar Options u see that are almost all Bottuns twice but if you deactivate one both are gone.
    Posted in: General AddOns
  • 0

    posted a message on Skinner
    Quote from Jncl »

    Hi,

    To all the people getting Ace3 errors, have you put the latest version of the Ace3 skin into the SkinMe directory?

    I'm not seeing any of these errors with the latest skin.


    I updated Skinner, then copy and paste the skinner Omen.lua, Chatter.lua and EavesDrop.lua from AddonSkins to SkinMe directory. Now i go in the options of both Addons and just klick me through the possible Options of both Addons when i get to the Window/Frame options i get this error currently:

    [2008/05/23 11:40:22-2230-x22]: Skinner-2.4.1\Skinner.lua:201: The Object passed isn't a Frame
    Skinner-2.4.1\Skinner.lua:201: in function `applySkin'
    Skinner-2.4.1\SkinMe\Ace3.lua:13: in function <Interface\AddOns\Skinner\SkinMe\Ace3.lua:4>
    (tail call): ?:
    AceConfigDialog-3.0\AceConfigDialog-3.0.lua:1010: in function <...nfig-3.0\AceConfigDialog-3.0\AceConfigDialog-3.0.lua:924>
    AceConfigDialog-3.0\AceConfigDialog-3.0.lua:1287: in function `FeedGroup'
    AceConfigDialog-3.0\AceConfigDialog-3.0.lua:1208: in function <...nfig-3.0\AceConfigDialog-3.0\AceConfigDialog-3.0.lua:1187>
    (tail call): ?:
    <in C code>: ?
    <string>:"safecall Dispatcher[3]":9: in function <[string "safecall Dispatcher[3]"]:5>
    (tail call): ?:
    AceGUI-3.0\AceGUI-3.0.lua:257: in function `Fire'
    ...r\Libs\AceGUI-3.0\widgets\AceGUIWidget-TreeGroup.lua:409: in function `SetSelected':
    ...r\Libs\AceGUI-3.0\widgets\AceGUIWidget-TreeGroup.lua:92: in function <...r\Libs\AceGUI-3.0\widgets\AceGUIWidget-TreeGroup.lua:88>:
    Posted in: General AddOns
  • To post a comment, please or register a new account.